diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/cid-factory.h ns-3.39/src/wimax/model/cid-factory.h
--- ns-3.38/src/wimax/model/cid-factory.h	2023-03-16 20:54:23.876869400 -0700
+++ ns-3.39/src/wimax/model/cid-factory.h	2023-07-05 14:23:48.133428300 -0700
@@ -35,7 +35,7 @@
  * This class uses the definitions from Table 345 in ieee-802.16-2004 to
  * allocate cids in different integer ranges according to their type.
  * The relative allocation of the ranges is controlled by the parameter 'm'
- * introduced in the above-mentionned table.
+ * introduced in the above-mentioned table.
  *
  * Note: The current implementation merely allocates cids sequentially from
  * the start of the allowed range. A proper implementation would be able
@@ -74,7 +74,7 @@
      * \param type CID type
      * \returns the next CID.
      */
-    Cid Allocate(enum Cid::Type type);
+    Cid Allocate(Cid::Type type);
 
     /**
      * \brief This function determines if the CID is a transport.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/cs-parameters.cc ns-3.39/src/wimax/model/cs-parameters.cc
--- ns-3.38/src/wimax/model/cs-parameters.cc	2023-03-16 20:54:23.876869400 -0700
+++ ns-3.39/src/wimax/model/cs-parameters.cc	2023-07-05 14:23:48.133428300 -0700
@@ -43,7 +43,7 @@
         {
         case CsParamVectorTlvValue::Classifier_DSC_Action: {
             m_classifierDscAction =
-                (enum CsParameters::Action)((U8TlvValue*)((*iter)->PeekValue()))->GetValue();
+                (CsParameters::Action)((U8TlvValue*)((*iter)->PeekValue()))->GetValue();
             break;
         }
         case CsParamVectorTlvValue::Packet_Classification_Rule: {
@@ -54,7 +54,7 @@
     }
 }
 
-CsParameters::CsParameters(enum CsParameters::Action classifierDscAction,
+CsParameters::CsParameters(CsParameters::Action classifierDscAction,
                            IpcsClassifierRecord classifier)
 {
     m_classifierDscAction = classifierDscAction;
@@ -62,7 +62,7 @@
 }
 
 void
-CsParameters::SetClassifierDscAction(enum CsParameters::Action action)
+CsParameters::SetClassifierDscAction(CsParameters::Action action)
 {
     m_classifierDscAction = action;
 }
@@ -73,7 +73,7 @@
     m_packetClassifierRule = packetClassifierRule;
 }
 
-enum CsParameters::Action
+CsParameters::Action
 CsParameters::GetClassifierDscAction() const
 {
     return m_classifierDscAction;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/dl-mac-messages.cc ns-3.39/src/wimax/model/dl-mac-messages.cc
--- ns-3.38/src/wimax/model/dl-mac-messages.cc	2023-03-16 20:54:23.876869400 -0700
+++ ns-3.39/src/wimax/model/dl-mac-messages.cc	2023-07-05 14:23:48.133428300 -0700
@@ -407,11 +407,8 @@
 {
     uint32_t dlBurstProfilesSize = 0;
 
-    for (std::vector<OfdmDlBurstProfile>::const_iterator iter = m_dlBurstProfiles.begin();
-         iter != m_dlBurstProfiles.end();
-         ++iter)
+    for (const auto& burstProfile : m_dlBurstProfiles)
     {
-        OfdmDlBurstProfile burstProfile = *iter;
         dlBurstProfilesSize += burstProfile.GetSize();
     }
 
@@ -426,11 +423,8 @@
     i.WriteU8(m_configurationChangeCount);
     i = m_channelEncodings.Write(i);
 
-    for (std::vector<OfdmDlBurstProfile>::const_iterator iter = m_dlBurstProfiles.begin();
-         iter != m_dlBurstProfiles.end();
-         ++iter)
+    for (const auto& burstProfile : m_dlBurstProfiles)
     {
-        OfdmDlBurstProfile burstProfile = *iter;
         i = burstProfile.Write(i);
     }
 }
@@ -625,11 +619,8 @@
 {
     uint32_t dlMapElementsSize = 0;
 
-    for (std::list<OfdmDlMapIe>::const_iterator iter = m_dlMapElements.begin();
-         iter != m_dlMapElements.end();
-         ++iter)
+    for (const auto& dlMapIe : m_dlMapElements)
     {
-        OfdmDlMapIe dlMapIe = *iter;
         dlMapElementsSize += dlMapIe.GetSize();
     }
 
@@ -643,11 +634,8 @@
     i.WriteU8(m_dcdCount);
     WriteTo(i, m_baseStationId);
 
-    for (std::list<OfdmDlMapIe>::const_iterator iter = m_dlMapElements.begin();
-         iter != m_dlMapElements.end();
-         ++iter)
+    for (const auto& dlMapIe : m_dlMapElements)
     {
-        OfdmDlMapIe dlMapIe = *iter;
         i = dlMapIe.Write(i);
     }
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ofdm-downlink-frame-prefix.cc ns-3.39/src/wimax/model/ofdm-downlink-frame-prefix.cc
--- ns-3.38/src/wimax/model/ofdm-downlink-frame-prefix.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ofdm-downlink-frame-prefix.cc	2023-07-05 14:23:48.137428500 -0700
@@ -232,11 +232,8 @@
 {
     int dlFramePrefixElementsSize = 0;
 
-    for (std::vector<DlFramePrefixIe>::const_iterator iter = m_dlFramePrefixElements.begin();
-         iter != m_dlFramePrefixElements.end();
-         iter++)
+    for (const auto& dlFramePrefixElement : m_dlFramePrefixElements)
     {
-        DlFramePrefixIe dlFramePrefixElement = *iter;
         dlFramePrefixElementsSize += dlFramePrefixElement.GetSize();
     }
 
@@ -251,11 +248,8 @@
     i.WriteU32(m_frameNumber);
     i.WriteU8(m_configurationChangeCount);
 
-    for (std::vector<DlFramePrefixIe>::const_iterator iter = m_dlFramePrefixElements.begin();
-         iter != m_dlFramePrefixElements.end();
-         iter++)
+    for (const auto& dlFramePrefixElement : m_dlFramePrefixElements)
     {
-        DlFramePrefixIe dlFramePrefixElement = *iter;
         i = dlFramePrefixElement.Write(i);
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/service-flow.cc ns-3.39/src/wimax/model/service-flow.cc
--- ns-3.38/src/wimax/model/service-flow.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/service-flow.cc	2023-07-05 14:23:48.137428500 -0700
@@ -151,7 +151,7 @@
         }
         case SfVectorTlvValue::CS_Specification: {
             m_csSpecification =
-                (enum CsSpecification)(((U8TlvValue*)((*iter)->PeekValue()))->GetValue());
+                (CsSpecification)(((U8TlvValue*)((*iter)->PeekValue()))->GetValue());
             break;
         }
 
@@ -246,7 +246,7 @@
     return m_connection->GetQueue();
 }
 
-enum ServiceFlow::SchedulingType
+ServiceFlow::SchedulingType
 ServiceFlow::GetSchedulingType() const
 {
     return m_schedulingType;
@@ -362,7 +362,7 @@
     return m_minTolerableTrafficRate;
 }
 
-enum ServiceFlow::SchedulingType
+ServiceFlow::SchedulingType
 ServiceFlow::GetServiceSchedulingType() const
 {
     return m_schedulingType;
@@ -458,7 +458,7 @@
     return m_arqBlockSize;
 }
 
-enum ServiceFlow::CsSpecification
+ServiceFlow::CsSpecification
 ServiceFlow::GetCsSpecification() const
 {
     return m_csSpecification;
@@ -488,7 +488,7 @@
     return m_isMulticast;
 }
 
-enum WimaxPhy::ModulationType
+WimaxPhy::ModulationType
 ServiceFlow::GetModulation() const
 {
     return m_modulationType;
@@ -545,7 +545,7 @@
 }
 
 void
-ServiceFlow::SetServiceSchedulingType(enum ServiceFlow::SchedulingType schedType)
+ServiceFlow::SetServiceSchedulingType(ServiceFlow::SchedulingType schedType)
 {
     m_schedulingType = schedType;
 }
@@ -641,7 +641,7 @@
 }
 
 void
-ServiceFlow::SetCsSpecification(enum ServiceFlow::CsSpecification spec)
+ServiceFlow::SetCsSpecification(ServiceFlow::CsSpecification spec)
 {
     m_csSpecification = spec;
 }
@@ -671,7 +671,7 @@
 }
 
 void
-ServiceFlow::SetModulation(enum WimaxPhy::ModulationType modulationType)
+ServiceFlow::SetModulation(WimaxPhy::ModulationType modulationType)
 {
     m_modulationType = modulationType;
 }
@@ -827,16 +827,12 @@
     {
     case SF_TYPE_UGS:
         return (char*)"UGS";
-        break;
     case SF_TYPE_RTPS:
         return (char*)"rtPS";
-        break;
     case SF_TYPE_NRTPS:
         return (char*)"nrtPS";
-        break;
     case SF_TYPE_BE:
         return (char*)"BE";
-        break;
     default:
         NS_FATAL_ERROR("Invalid scheduling type");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/service-flow.h ns-3.39/src/wimax/model/service-flow.h
--- ns-3.38/src/wimax/model/service-flow.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/service-flow.h	2023-07-05 14:23:48.137428500 -0700
@@ -229,7 +229,7 @@
      * Get scheduling type
      * \returns the scheduling type
      */
-    enum ServiceFlow::SchedulingType GetSchedulingType() const;
+    ServiceFlow::SchedulingType GetSchedulingType() const;
     /**
      * Check if packets are present
      * \returns true if there are packets
@@ -307,7 +307,7 @@
      * Get service scheduling type
      * \returns the scheduling type
      */
-    enum ServiceFlow::SchedulingType GetServiceSchedulingType() const;
+    ServiceFlow::SchedulingType GetServiceSchedulingType() const;
     /**
      * Get request transmission policy
      * \returns the request transmission policy
@@ -412,7 +412,7 @@
      * Get modulation
      * \returns the modulation
      */
-    enum WimaxPhy::ModulationType GetModulation() const;
+    WimaxPhy::ModulationType GetModulation() const;
 
     /**
      * Set SFID
@@ -458,7 +458,7 @@
      * Set service scheduling type
      * \param schedType the service scheduling type
      */
-    void SetServiceSchedulingType(enum ServiceFlow::SchedulingType schedType);
+    void SetServiceSchedulingType(ServiceFlow::SchedulingType schedType);
     /**
      * Set request transmission policy
      * \param policy the request transmission policy
@@ -564,43 +564,43 @@
      * Set modulation
      * \param modulationType the modulation type
      */
-    void SetModulation(enum WimaxPhy::ModulationType modulationType);
+    void SetModulation(WimaxPhy::ModulationType modulationType);
 
   private:
-    uint32_t m_sfid;                                   ///< SFID
-    std::string m_serviceClassName;                    ///< service class name
-    uint8_t m_qosParamSetType;                         ///< QOS parameter type
-    uint8_t m_trafficPriority;                         ///< traffic priority
-    uint32_t m_maxSustainedTrafficRate;                ///< maximum sustained traffic rate
-    uint32_t m_maxTrafficBurst;                        ///< maximum traffic burst
-    uint32_t m_minReservedTrafficRate;                 ///< minimum reserved traffic rate
-    uint32_t m_minTolerableTrafficRate;                ///< minimum tolerable traffic rate
-    enum ServiceFlow::SchedulingType m_schedulingType; ///< scheduling type
-    uint32_t m_requestTransmissionPolicy;              ///< request transmission policy
-    uint32_t m_toleratedJitter;                        ///< tolerated jitter
-    uint32_t m_maximumLatency;                         ///< maximum latency
-    uint8_t m_fixedversusVariableSduIndicator;         ///< fixed versus variable SDI indicator
-    uint8_t m_sduSize;                                 ///< SDU size
-    uint16_t m_targetSAID;                             ///< target SAID
-    uint8_t m_arqEnable;                               ///< ARQ enable
-    uint16_t m_arqWindowSize;                          ///< ARQ window size
-    uint16_t m_arqRetryTimeoutTx;                      ///< ARQ retry timeout transmit
-    uint16_t m_arqRetryTimeoutRx;                      ///< ARQ retry timeout receive
-    uint16_t m_arqBlockLifeTime;                       ///< ARQ block life time
-    uint16_t m_arqSyncLoss;                            ///< ARQ sync loss
-    uint8_t m_arqDeliverInOrder;                       ///< ARQ deliver in order
-    uint16_t m_arqPurgeTimeout;                        ///< ARQ purge timeout
-    uint16_t m_arqBlockSize;                           ///< ARQ block size
-    CsSpecification m_csSpecification;                 ///< CS specification
-    CsParameters m_convergenceSublayerParam;           ///< convergence sublayer parameters
-    uint16_t m_unsolicitedGrantInterval;               ///< unsolicited grant interval
-    uint16_t m_unsolicitedPollingInterval;             ///< unsolicited polling interval
-    Direction m_direction;                             ///< direction
-    Type m_type;                                       ///< type
-    Ptr<WimaxConnection> m_connection;                 ///< connection
-    bool m_isEnabled;                                  ///< is enabled?
-    bool m_isMulticast;                                ///< is multicast?
-    enum WimaxPhy::ModulationType m_modulationType;    ///< modulation type
+    uint32_t m_sfid;                              ///< SFID
+    std::string m_serviceClassName;               ///< service class name
+    uint8_t m_qosParamSetType;                    ///< QOS parameter type
+    uint8_t m_trafficPriority;                    ///< traffic priority
+    uint32_t m_maxSustainedTrafficRate;           ///< maximum sustained traffic rate
+    uint32_t m_maxTrafficBurst;                   ///< maximum traffic burst
+    uint32_t m_minReservedTrafficRate;            ///< minimum reserved traffic rate
+    uint32_t m_minTolerableTrafficRate;           ///< minimum tolerable traffic rate
+    ServiceFlow::SchedulingType m_schedulingType; ///< scheduling type
+    uint32_t m_requestTransmissionPolicy;         ///< request transmission policy
+    uint32_t m_toleratedJitter;                   ///< tolerated jitter
+    uint32_t m_maximumLatency;                    ///< maximum latency
+    uint8_t m_fixedversusVariableSduIndicator;    ///< fixed versus variable SDI indicator
+    uint8_t m_sduSize;                            ///< SDU size
+    uint16_t m_targetSAID;                        ///< target SAID
+    uint8_t m_arqEnable;                          ///< ARQ enable
+    uint16_t m_arqWindowSize;                     ///< ARQ window size
+    uint16_t m_arqRetryTimeoutTx;                 ///< ARQ retry timeout transmit
+    uint16_t m_arqRetryTimeoutRx;                 ///< ARQ retry timeout receive
+    uint16_t m_arqBlockLifeTime;                  ///< ARQ block life time
+    uint16_t m_arqSyncLoss;                       ///< ARQ sync loss
+    uint8_t m_arqDeliverInOrder;                  ///< ARQ deliver in order
+    uint16_t m_arqPurgeTimeout;                   ///< ARQ purge timeout
+    uint16_t m_arqBlockSize;                      ///< ARQ block size
+    CsSpecification m_csSpecification;            ///< CS specification
+    CsParameters m_convergenceSublayerParam;      ///< convergence sublayer parameters
+    uint16_t m_unsolicitedGrantInterval;          ///< unsolicited grant interval
+    uint16_t m_unsolicitedPollingInterval;        ///< unsolicited polling interval
+    Direction m_direction;                        ///< direction
+    Type m_type;                                  ///< type
+    Ptr<WimaxConnection> m_connection;            ///< connection
+    bool m_isEnabled;                             ///< is enabled?
+    bool m_isMulticast;                           ///< is multicast?
+    WimaxPhy::ModulationType m_modulationType;    ///< modulation type
     // will be used by the BS
     ServiceFlowRecord* m_record; ///< service flow record
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/service-flow-manager.cc ns-3.39/src/wimax/model/service-flow-manager.cc
--- ns-3.38/src/wimax/model/service-flow-manager.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/service-flow-manager.cc	2023-07-05 14:23:48.137428500 -0700
@@ -142,7 +142,7 @@
 }
 
 std::vector<ServiceFlow*>
-ServiceFlowManager::GetServiceFlows(enum ServiceFlow::SchedulingType schedulingType) const
+ServiceFlowManager::GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const
 {
     std::vector<ServiceFlow*> tmpServiceFlows;
     for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/service-flow-manager.h ns-3.39/src/wimax/model/service-flow-manager.h
--- ns-3.38/src/wimax/model/service-flow-manager.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/service-flow-manager.h	2023-07-05 14:23:48.137428500 -0700
@@ -82,10 +82,9 @@
     /**
      * Get service flows function
      * \param schedulingType the scheduling type
-     * \returns vector of pointers to service flows corresponding to the schedulin type
+     * \returns vector of pointers to service flows corresponding to the scheduling type
      */
-    std::vector<ServiceFlow*> GetServiceFlows(
-        enum ServiceFlow::SchedulingType schedulingType) const;
+    std::vector<ServiceFlow*> GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const;
 
     /**
      * \return true if all service flows are allocated, false otherwise
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.cc ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.cc
--- ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.cc	2023-07-05 14:23:48.137428500 -0700
@@ -180,7 +180,7 @@
     m_txPower = 30;         // dBm
     SetBandwidth(10000000); // 10Mhz
     m_nbErroneousBlock = 0;
-    m_nrRecivedFecBlocks = 0;
+    m_nrReceivedFecBlocks = 0;
     m_snrToBlockErrorRateManager = new SNRToBlockErrorRateManager();
 }
 
@@ -319,14 +319,7 @@
         dynamic_cast<SimpleOfdmWimaxChannel*>(PeekPointer(GetChannel()));
     NS_ASSERT(channel != nullptr);
 
-    if (m_nrRemainingBlocksToSend == 1)
-    {
-        isLastFecBlock = true;
-    }
-    else
-    {
-        isLastFecBlock = false;
-    }
+    isLastFecBlock = (m_nrRemainingBlocksToSend == 1);
     channel->Send(m_blockTime,
                   m_currentBurstSize,
                   this,
@@ -412,7 +405,7 @@
     delete record;
 
     NS_LOG_INFO("PHY: Receive rxPower=" << rxPower << ", Nwb=" << Nwb << ", SNR=" << SNR
-                                        << ", Modulation=" << modulationType << ", BlocErrorRate="
+                                        << ", Modulation=" << modulationType << ", BlockErrorRate="
                                         << blockErrorRate << ", drop=" << std::boolalpha << drop);
 
     switch (GetState())
@@ -433,7 +426,7 @@
             {
                 NotifyRxBegin(burst);
                 m_receivedFecBlocks->clear();
-                m_nrRecivedFecBlocks = 0;
+                m_nrReceivedFecBlocks = 0;
                 SetBlockParameters(burstSize, modulationType);
                 m_blockTime = GetBlockTransmissionTime(modulationType);
             }
@@ -469,14 +462,14 @@
                                        Ptr<PacketBurst> burst)
 {
     SetState(PHY_STATE_IDLE);
-    m_nrRecivedFecBlocks++;
+    m_nrReceivedFecBlocks++;
 
-    if (drop == true)
+    if (drop)
     {
         m_nbErroneousBlock++;
     }
 
-    if ((uint32_t)m_nrRecivedFecBlocks * m_blockSize == burstSize * 8 + m_paddingBits)
+    if ((uint32_t)m_nrReceivedFecBlocks * m_blockSize == burstSize * 8 + m_paddingBits)
     {
         NotifyRxEnd(burst);
         if (m_nbErroneousBlock == 0)
@@ -488,7 +481,7 @@
             NotifyRxDrop(burst);
         }
         m_nbErroneousBlock = 0;
-        m_nrRecivedFecBlocks = 0;
+        m_nrReceivedFecBlocks = 0;
     }
 }
 
@@ -554,7 +547,7 @@
         for (int l = 0; l < 8; l++)
         {
             bool bin = buffer.at(i + l);
-            temp += (uint8_t)(bin * std::pow(2.0, (7 - l)));
+            temp |= (bin << (7 - l));
         }
 
         *(pstart + j) = temp;
@@ -619,8 +612,8 @@
     uint32_t i = 0;
     for (uint32_t j = 0; j < m_nrBlocks; j++)
     {
-        Bvec tmpRecFecBloc = m_receivedFecBlocks->front();
-        buffer.insert(buffer.begin() + i, tmpRecFecBloc.begin(), tmpRecFecBloc.end());
+        Bvec tmpRecFecBlock = m_receivedFecBlocks->front();
+        buffer.insert(buffer.begin() + i, tmpRecFecBlock.begin(), tmpRecFecBlock.end());
         m_receivedFecBlocks->pop_front();
         i += m_blockSize;
     }
@@ -697,25 +690,18 @@
     {
     case MODULATION_TYPE_BPSK_12:
         return m_dataRateBpsk12;
-        break;
     case MODULATION_TYPE_QPSK_12:
         return m_dataRateQpsk12;
-        break;
     case MODULATION_TYPE_QPSK_34:
         return m_dataRateQpsk34;
-        break;
     case MODULATION_TYPE_QAM16_12:
         return m_dataRateQam16_12;
-        break;
     case MODULATION_TYPE_QAM16_34:
         return m_dataRateQam16_34;
-        break;
     case MODULATION_TYPE_QAM64_23:
         return m_dataRateQam64_23;
-        break;
     case MODULATION_TYPE_QAM64_34:
         return m_dataRateQam64_34;
-        break;
     }
     NS_FATAL_ERROR("Invalid modulation type");
     return 0;
@@ -900,25 +886,18 @@
     {
     case FRAME_DURATION_2_POINT_5_MS:
         return Seconds(2.5);
-        break;
     case FRAME_DURATION_4_MS:
         return Seconds(4);
-        break;
     case FRAME_DURATION_5_MS:
         return Seconds(5);
-        break;
     case FRAME_DURATION_8_MS:
         return Seconds(8);
-        break;
     case FRAME_DURATION_10_MS:
         return Seconds(10);
-        break;
     case FRAME_DURATION_12_POINT_5_MS:
         return Seconds(12.5);
-        break;
     case FRAME_DURATION_20_MS:
         return Seconds(20);
-        break;
     default:
         NS_FATAL_ERROR("Invalid modulation type");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.h ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.h
--- ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/simple-ofdm-wimax-phy.h	2023-07-05 14:23:48.137428500 -0700
@@ -467,7 +467,7 @@
     uint16_t m_blockSize;               ///< block size
     uint32_t m_paddingBits;             ///< padding bits
     uint16_t m_nbErroneousBlock;        ///< erroneous blocks
-    uint16_t m_nrRecivedFecBlocks;      ///< number received FEC blocks
+    uint16_t m_nrReceivedFecBlocks;     ///< number received FEC blocks
     uint16_t m_nfft;                    ///< NFFT
     double m_g;                         ///< G value
     double m_bandWidth;                 ///< bandwidth
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/snr-to-block-error-rate-manager.cc ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.cc
--- ns-3.38/src/wimax/model/snr-to-block-error-rate-manager.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/snr-to-block-error-rate-manager.cc	2023-07-05 14:23:48.137428500 -0700
@@ -98,7 +98,7 @@
         traceFilePath << m_traceFilePath << "/modulation" << i << ".txt";
 
         traceFile.open(traceFilePath.str(), std::ifstream::in);
-        if (traceFile.good() == false)
+        if (!traceFile.good())
         {
             NS_LOG_INFO("Unable to load " << traceFilePath.str() << "!! Loading default traces...");
             LoadDefaultTraces();
@@ -237,7 +237,7 @@
         traceFilePath << m_traceFilePath << "/Modulation" << i << ".txt";
 
         traceFile.open(traceFilePath.str(), std::ifstream::in);
-        if (traceFile.good() == false)
+        if (!traceFile.good())
         {
             NS_LOG_INFO("Unable to load " << traceFilePath.str() << "!!Loading default traces...");
             LoadDefaultTraces();
@@ -275,7 +275,7 @@
 double
 SNRToBlockErrorRateManager::GetBlockErrorRate(double SNR, uint8_t modulation)
 {
-    if (m_activateLoss == false)
+    if (!m_activateLoss)
     {
         return 0;
     }
@@ -312,7 +312,7 @@
 SNRToBlockErrorRateRecord*
 SNRToBlockErrorRateManager::GetSNRToBlockErrorRateRecord(double SNR, uint8_t modulation)
 {
-    if (m_activateLoss == false)
+    if (!m_activateLoss)
     {
         return new SNRToBlockErrorRateRecord(SNR, 0, 0, 0, 0, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ss-link-manager.cc ns-3.39/src/wimax/model/ss-link-manager.cc
--- ns-3.38/src/wimax/model/ss-link-manager.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ss-link-manager.cc	2023-07-05 14:23:48.137428500 -0700
@@ -284,7 +284,7 @@
 void
 SSLinkManager::PerformBackoff()
 {
-    Time defferTime = Seconds(0);
+    Time deferTime = Seconds(0);
     Time timeToAllocation = Seconds(0);
     uint16_t nrPsPerRangOpp = m_ss->GetCurrentUcd().GetChannelEncodings().GetRangReqOppSize();
     uint16_t oppSize = m_ss->GetCurrentUcd().GetChannelEncodings().GetRangReqOppSize() /
@@ -294,9 +294,9 @@
     {
         if (m_rangingBO == 0)
         {
-            defferTime =
+            deferTime =
                 Seconds(deferTOs * nrPsPerRangOpp * m_ss->GetPhy()->GetPsDuration().GetSeconds());
-            timeToAllocation = m_ss->GetTimeToAllocation(defferTime);
+            timeToAllocation = m_ss->GetTimeToAllocation(deferTime);
 
             Simulator::Schedule(timeToAllocation,
                                 &SSLinkManager::SendRangingRequest,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ss-net-device.cc ns-3.39/src/wimax/model/ss-net-device.cc
--- ns-3.38/src/wimax/model/ss-net-device.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ss-net-device.cc	2023-07-05 14:23:48.137428500 -0700
@@ -672,7 +672,7 @@
     else
     {
         NS_LOG_DEBUG("SS (" << GetMacAddress() << ")");
-        NS_LOG_INFO("\tCan't send packet! (NotRegitered with the network)");
+        NS_LOG_INFO("\tCan't send packet! (NotRegistered with the network)");
         return false;
     }
 
@@ -742,7 +742,7 @@
         if (connection->GetSchedulingType() == ServiceFlow::SF_TYPE_UGS && m_scheduler->GetPollMe())
         {
             NS_ASSERT_MSG(hdrType.GetType() != MacHeaderType::HEADER_TYPE_BANDWIDTH,
-                          "Error while equeuing  packet: incorrect header type");
+                          "Error while enqueuing  packet: incorrect header type");
 
             GrantManagementSubheader grantMgmntSubhdr;
             grantMgmntSubhdr.SetPm(true);
@@ -819,7 +819,7 @@
 
     if (gnrcMacHdr.GetHt() == MacHeaderType::HEADER_TYPE_GENERIC)
     {
-        if (gnrcMacHdr.check_hcs() == false)
+        if (!gnrcMacHdr.check_hcs())
         {
             // The header is noisy
             NS_LOG_INFO("Header HCS ERROR");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ss-record.cc ns-3.39/src/wimax/model/ss-record.cc
--- ns-3.38/src/wimax/model/ss-record.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ss-record.cc	2023-07-05 14:23:48.137428500 -0700
@@ -230,7 +230,7 @@
 }
 
 std::vector<ServiceFlow*>
-SSRecord::GetServiceFlows(enum ServiceFlow::SchedulingType schedulingType) const
+SSRecord::GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const
 {
     std::vector<ServiceFlow*> tmpServiceFlows;
     for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ss-record.h ns-3.39/src/wimax/model/ss-record.h
--- ns-3.38/src/wimax/model/ss-record.h	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ss-record.h	2023-07-05 14:23:48.137428500 -0700
@@ -171,8 +171,7 @@
      * \param schedulingType the scheduling type
      * \returns the service flow
      */
-    std::vector<ServiceFlow*> GetServiceFlows(
-        enum ServiceFlow::SchedulingType schedulingType) const;
+    std::vector<ServiceFlow*> GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const;
     /**
      * Check if at least one flow has scheduling type SF_TYPE_UGS
      * \return true if at least one flow has scheduling type SF_TYPE_UGS
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wimax/model/ul-job.cc ns-3.39/src/wimax/model/ul-job.cc
--- ns-3.38/src/wimax/model/ul-job.cc	2023-03-16 20:54:23.880869400 -0700
+++ ns-3.39/src/wimax/model/ul-job.cc	2023-07-05 14:23:48.137428500 -0700
@@ -36,7 +36,7 @@
 }
 
 SSRecord*
-UlJob::GetSsRecord()
+UlJob::GetSsRecord() const
 {
     return m_ssRecord;
 }
@@ -47,8 +47,8 @@
     m_ssRecord = ssRecord;
 }
 
-enum ServiceFlow::SchedulingType
-UlJob::GetSchedulingType()
+ServiceFlow::SchedulingType
+UlJob::GetSchedulingType() const
 {
     return m_schedulingType;
 }
@@ -60,7 +60,7 @@
 }
 
 ReqType
-UlJob::GetType()
+UlJob::GetType() const
 {
     return m_type;
 }
@@ -72,7 +72,7 @@
 }
 
 ServiceFlow*
-UlJob::GetServiceFlow()
+UlJob::GetServiceFlow() const
 {
     return m_serviceFlow;
 }
@@ -84,7 +84,7 @@
 }
 
 Time
-UlJob::GetReleaseTime()
+UlJob::GetReleaseTime() const
 {
     return m_releaseTime;
 }
@@ -96,7 +96,7 @@
 }
 
 Time
-UlJob::GetPeriod()
+UlJob::GetPeriod() const
 {
     return m_period;
 }
@@ -108,7 +108,7 @@
 }
 
 Time
-UlJob::GetDeadline()
+UlJob::GetDeadline() const
 {
     return m_deadline;
 }
@@ -140,14 +140,7 @@
 bool
 operator==(const UlJob& a, const UlJob& b)
 {
-    UlJob A = a;
-    UlJob B = b;
-
-    if ((A.GetServiceFlow() == B.GetServiceFlow()) && (A.GetSsRecord() == B.GetSsRecord()))
-    {
-        return true;
-    }
-    return false;
+    return a.GetServiceFlow() == b.GetServiceFlow() && a.GetSsRecord() == b.GetSsRecord();
 }
 
 PriorityUlJob::PriorityUlJob()
@@ -167,7 +160,7 @@
 }
 
 Ptr<UlJob>
-PriorityUlJob::GetUlJob()
+PriorityUlJob::GetUlJob() const
 {
     return m_job;
 }
